/***************************************************************************
 *   Copyright (C) 2008 by Manuel Schrape                                  *
 *   manuel.schrape@gmx.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef MKTOOL_H
#define MKTOOL_H

#include <QMainWindow>
#include <QSettings>

#include "ui_mktool.h"

#include "SerialPort/ManageSerialPort.h"

class QextSerialPort;

class MKTool : public QMainWindow, public Ui::dlg_mktool_UI
{
      Q_OBJECT

public:
      MKTool();
      ~MKTool();

private:

    ManageSerialPort *serialPort;
    QByteArray allDataReceived;
    QString RXS;

    int AnalogData[32];
    int DecodeData[100];

    bool check_CRC(QString RXString);
    void rx_NewData(QString RX_Data);
    void show_Data();
    void read_Settings();
    void write_Settings();

//protected:

private slots:
    void slot_newDataReceived(const QByteArray &dataReceived);
    void slot_OpenPort();
    void slot_Quit();
    void Decode64();
};

#endif
